/*
 *  $Id: ChangeLog,v 1.386 2015/03/01 21:45:17 ds6peter Exp $ 
 */

Info:
	PB = Peter Bieringer <pb (at) bieringer.de>
	NT = Niko Tyni <ntyni (at) iki dot fi>
	ESR = Eric S. Raymond <esr (at) thyrsus dot com>
	PV = Peter Volkov <pva (at) gentoo dot org>
	AGP = Anthony G. Basile <basile at opensource dot dyc dot edu>
--------------------------------------------------------------------
20150301/PB
	spec file: rebase with fedora-scm spec
	fix VERSION (still containing rc4)
	retag version 0.98.0
	
20150220/PB
	doc/*: update
	databases: update
	tag version 0.98.0

20150218/PB
	spec file: align with fedora-scm spec
	tools/*: remove now by autoconf generated scripts

20150215/PB
	tools/ipv6calc-db-update.sh: new for dedicated database update capability
	tools/ipv6calc-create-registry-list-ipv4.pl: migration from database dir
	tools/ipv6calc-create-registry-list-ipv6.pl: migration from database dir
	tools/ipv6calc-registries-check-run-create.sh: migration from database dir
	tools/ipv6calc-update-registries.sh: migration from database dir
	databases: update

20150213/PB
	ipv6calcweb/ipv6calcweb.cgi[.in]: add support for EXTERNAL db directory
	ipv6calcweb/ipv6calcweb.conf: add default ACL restriction to localhost

20150211/PB
	databases: update

20150123/PB
	databases/lib/libipv6calc_db_wrapper_GeoIP|IP2Location.c: add some missing dlerror calls

20141209/PB
	databases: update
	databases/registries/update-registries.sh: add dst directory option, some review
	databases/ipv4-assignment/create-registry-list.pl: add src/dst directory option, some review
	databases/ipv6-assignment/create-registry-list.pl: add src/dst directory option, some review
	databases/tools/ipv6calc-db-update.sh: new

20141127/PB
	lib/ipv6calcoptions.c: replace improper use of the MAXINTARRAY macro
	configure[.in]: add -Wsizeof-array-argument to CFLAGS if supported

20141024/PB
	recognize RFC6666 addresses
	databases: update
	ipv6calc/showinfo.c: add EXTERNAL db information
	ipv6calcweb/ipv6calcweb.cgi[.in]: support EXTERNAL db information

20141011/PB
	switch in DBIP and External db info from hash to btree (improves db compatibility)

20141008/PB
	some fixes

20141007/PB
	adjust DBIP generation tool for new db format: DBIP-generate-db.p

20141005/PB
	lib/libipaddr.[ch]: new generic library introduced to simplify code

20141003/PB
	autogen-support.sh: add GeoIP 1.6.1 1.6.2, IP2Location 6.0.3

20140927/PB
	ipv6calcweb/ipv6calcweb.cgi[.in]: minor bugfix, use background colors for optional database subcolumn mode

20140926/PB
	ipv6calcweb/ipv6calcweb.conf: extend with
	ipv6calcweb/ipv6calcweb.cgi[.in]: implement optional database subcolumn mode

20140924/PB
	databases: update
	implement "External" database lookups (superseeding BuiltIn databases for IP->Registry lookups)

20140913/PB
	libipv6addr.c: suppress ASN / country code lookup for IPV6_NEW_ADDR_6BONE
	showinfo.c: add IPV6_COUNTRYCODE_SOURCE, IPV4_COUNTRYCODE_SOURCE
	databases: update

20140909/PB
	more abstract implementation of BerkeleyDB and BuiltIn db lookups

20140901/PB
	[databases/]lib/Makefile[.in]: support different options for so library on OSX

20140831/PB
	add DBIP update tools: DBIP-generate-db.pl, DBIP-update.sh
	implement also output of DBIP_REGION
	add support for DBIP to ipv6calcweb.cgi

20140830/PB
	implement IPv6 city code lookup for DBIP, add DBIP output to DBIP_COUNTRY_SHORT, DBIP_CITY, DBIP_DATABASE_INFO

20140829/PB
	implement IPv6 country code lookup for DBIP

20140828/PB
	further DBIP support
	proper detection of options with missing arguments
	implement IPv4 country code lookup for DBIP

20140827/PB
	start implementation of db-ip.com (DBIP) support

20140826/PB
	implement for output type 'hex' prefix/suffix/uppercase print
	improve online help

20140802/PB
	tag version 0.97.4

20140731/PB
	add new output item on showinfo -i: IPV6CALC_CAPABILITIES
	databases: update

20140729/PB
	add external-fallback headers for GeoIP (1.4.8) and IP2Location (6.0.2) and add following config options:
	  --with-ip2location-headers-fallback, --with-geoip-headers-fallback (only usable with dynamic load option)

20140723/PB
	man/*: major review of man pages

20140722/PB
	harmonize online help of binaries

20140721/PB
	lib/libipv6addr.c: extend countrycode retrievement for included client IPv4 addresses
	ipv6calc/ipv6logconv/ipv6logstats/ipv6loganon: extend online help for -v

20140720/PB
	ipv6calc/ipv6calchelp_local.c
	databases/lib/libipv6calc_db_wrapper_IP2Location.h
	databases/lib/libipv6calc_db_wrapper_GeoIP.c
	databases/lib/libipv6calc_db_wrapper.h
	databases/lib/libipv6calc_db_wrapper.c
		reorg feature string handling
	rename feature string DB_IPV{4,6} to DB_IPV{4,6}_REG
		
20140719/PB
	configure[.in]: fix broken IP2Location dynamic library support
	autogen.sh: add ldd check for dynamic library support

20140718/PB
	lib/libeui64.c,lib/libipv4addr.c,lib/libipv6addr.c,lib/libmac.c,lib/librfc1924.c,lib/librfc2874.c: align parser error messages
	ipv6calc/test_ipv6calc.sh: check for proper exit code on invalid input tests

20140716/PB
	ipv6calc/showinfo: display CC/ASN only for global unicast addresses
	lib/librfc2874.c: bugfix in snprintf
	lib/libipv6addr.c: bugfix in libipv6addr_cc_index_by_addr

20140714/PB
	databases: update
	tag version 0.97.3

20140705/PB
	configure[.in]: add option --disable-compiler-warning-to-error

20140704/PB
	several Makefile[.in]: add support for @CFLAGS_EXTRA@ defined by configure
	configure[.in]: add check for compiler supporting -Werror=format-security
	autogen.sh: remove support of -W (now handled automatically by configure)

20140625/PB
	autogen-support.sh: add support for GeoIP 1.5.2/1.6.0

20140624/PB
	autogen-all-variants.sh: improve disabling GeoIP/IP2Location if system wide no libraries are available

20140623/PB
	autogen-support.sh/autogen-all-variants.sh: skip default 'make test' on GeoIP/IP2Location cross version checks

20140622/PB
	databases/lib/libipv6calc_db_wrapper_GeoIP.c: improve detection of maximum database types
	autogen-support.sh/autogen-all-variants.sh: add support for GeoIP/IP2Location cross version checks

20140621/PB
	autogen-support.sh/autogen-all-variants.sh: minor adjustments

20140620/PB
	autogen-support.sh: add download and extract feature for GeoIP/IP2Location

20140619/PB
	autogen-support.sh: new, centralize support for autogen.sh and autogen-all-variants.sh
	autogen-all-variants.sh/autogen.sh: improvments for regression tests

20140617/PB
	configure[.in]: improve IP2Location include/library definition support
	several Makefile[.in]: fixes regarding include/library definition support
	autogen-all-variants.sh: extend for GeoIP/IP2Location version based regression tests

20140616/PB
	configure[.in]: improve GeoIP include/library definition support

20140611/PB
	configure[.in]: apply suggested changes from AGB to fix improper use of AC_ARG_ENABLE

20140523/PB
	ipv6logstats/ipv6logstats.c: skip cc/asn retrievement in case of simple and column mode (major speed up)
	ipv6logstats/ipv6logstats.c: fix missing ALL in column mode (column 1), add option -N|--column-numbers
	ipv6logstats/example_gnuplot.cmd: fix to run with newer gnuplot versions, extend with registries and IID pictures
	tag version 0.97.2
	
20140520/PB
	databases/lib/libipv6calc_db_wrapper_GeoIP.c: fix 2x improper GeoIP_delete call which causes trouble inside GeoIP library in case of a huge amount of calls
	ipv6logstats,ipv6loganon,ipv6logconv: add new test for processing huge amount of addresses
	tag version 0.97.1

20140518/PB
	databases: update
	tag version 0.97.0

20140511/PB
	(many files): replace NI_MAXHOST used in various functions by size_t option

20140503/PB
	libipv4addr.c: improve registry retrievement for anonymized IPv4 addresses

20140426/PB
	Add missing support for machinereadable output for IPv6 addresses (format flag allowed, but was not supported)
	ipv6logstats: add support for AFRINIC, change major output version to 4
	ipv6logconv: add support of anonymized addresses
	ipv6logstats: improve support of anonymized addresses
	ipv6logstats: add output version column in column format

20140425/PB
	Introduce new functions for countrycode,AS and registry lookup covering also anonymized addresses

20140423/PB
	Add dedicated support for 6bone address anonymization

20140422/PB
	Small bugfix in ipv6calc test scripts

20140331/PB
	RFC1886 printout (reverse nibbles): mask prefix only in case of no printsuffix,printstart,printend

20140225/PB
	databases/ipv4-assignment: change from aggregated ip/networt to first-last structure, saving some space & getting rid of use of 'aggregate'

20140223/PB
	apply patch from gentoo regading order of LIBS in Makefile[.in]

20140213/PB
	prepend /sbin to ldconfig call
	tag version 0.96.0

20140211/PB
	databases: update

20140209/PB
	add tool for checking database lookup code against raw database information
	databases: update and fix of IPv4 data prep step befor aggretation (found during db lookup tests)
	ipv6calc: add input type "asn" for testing ASN database lookups

20140205/PB
	change lookup code for IPv4 registry assignment to binary sort, fix bug in binary sort for AS lookup

20140204/PB
	builtin IPv4/IPv6 databases: replace registry string by define, change related lookup code (saves space)
	databases: update

20140203/PB
	minor improvements in Makefiles, configure checks now for openssl/md5.h
	replace old debug code with macros in lib

20140202/PB
	move IEEE database from libieee to databases/BuiltIn
	apply some compilation compatibility fixes submitted by Nikoli
	move IPv4/IPv6 registriy database from libipv4addr.c/libipv6addr.c to databases/BuiltIn
	improve error catching in Makefiles
	add options to force bundled md5 or getopt (otherwise it depends on autodetection)
	 configure: --enable-bundled-md5 --enable-bundled-getopt

20140201/PB
	add support for building with shared libraries:
	 configure: --enable-shared
	 autogen.sh: -S

20140115/PB
	databases: update
	ipv6calcweb/ipv6calcweb.cgi.in: add new outputformat "textkeyvalue"
	
20131201/PB
	databases/lib/libipv6calc_db_wrapper.c: fix snprintf usage (missing format string)

20131117/PB
	databases: update
	tag version 0.95.0
	major changes were applied, but not listed here in detail, for overview see file: CHANGES

20131015/PB
	databases: update and add support for changed ARIN format

20130920/PB
	review and enhance option handling

20130903/PB
	databases/lib: finish implementation of IP2Location wrapper incl. dynamic load support

20130828/PB
	databases/lib: start implementation of IP2Location wrapper (dynamic load still missing)

20130820/PB
	further review

20130815/PB
	further improvements and review

20130811/PB
	commit IPv6 prefix and IPv4 address anonymization

20130708/PB
	recognize RFC 6598 addresses, extend test cases

20130707/PB
	ipv6logstats: further enhance output by country code / AS Number / proto statistics

20130702/PB
	migrate displaying verbose features into lib

20130701/PB
	ipv6logstats: enhance output by country code / AS Number / proto statistics
	databases/lib: major extensions of wrapper

20130622/PB
	databases/lib: start implementation of dynamic load of GeoIP library by adding a wrapper layer

20130513/PB
	ipv6calcweb/ipv6calcweb.cgi.in: improve colored output for some fields
	tag version 0.94.1

20130512/PB
	several *.c: replace strncpy/strcpy by snprintf (implicit fix of some improper/missing \0 termination)
	several *.c: fixes according to splint 

20130510/PB
	ipv6calc/test_ipv6calc.sh: fix 2 typos (issue reported by PV)

20130413/PB
	fix code or add pragmas to avoid warnings
	tag version 0.94.0

20130412/PB
	lib/libmac.c/lib/libipv6calc.c: support Cisco format xxxx.xxxx.xxxx
	lib/libipv6calc.c: support Check Point IPsec debug log format of IPv4 addresses if first octet is < 16: xxxxxx (7 hex chars)
	ipv6calc/test_scenarios.sh: add related test scenarios
	
20130410/PB
	databases: update
	lib/libipv6addr.[hc]: add support for reliable anonymization of IAB/OUI36 based EUI-48/64 based IPv6 addresses
	lib/libieee.[hc]: add support for mapping of IAB/OUI36
	ipv6calc/showinfo.c, ipv6calc/test_scenarios.sh: changes related to anonymized of IAB/OUI36

20130409/PB
	databases/ieee-oui36/*, lib/libieee.h, lib/libieee.c: add support for OUI36
	databases/tools/create_ieee_headerfile.pl: replace databases/ieee-iab/create_ieee_iab_headerfile.pl
	Makefile[.in]: add support for databases/ieee-oui36
	lib/libipv6calc.c: add detection for EUI-64
	lib/libeui64.h, lib/libeui64.c: add support for parsing EUI-64
	ipv6calc/showinfo.[hc], ipv6calc/ipv6calc.c: add support for EUI-64
	ipv6calc/test_showinfo.sh, ipv6calc/test_scenarios.sh: add support for EUI-64 tests

20130408/PB
	databases: update
	databases/ieee-iab/create_ieee_iab_headerfile.pl: fixed for current supplied txt format
	databases/ieee-oui/create_ieee_oui_headerfile.pl: fixed for current supplied txt format
	
20130407/PB
	lib/libipv6addr.[hc]: support Microsoft 6to4 IID (includes IPv4 address) anonymization
	ipv6calc/showinfo.c: minor bugfix + support of printing Microsoft 6to4 IID information

20130330/PB
	lib/libipv6calc.h, lib/ipv6calctypes.h: minor reorg
	lib/libipv6calc.c, lib/ipv6calcoptions.h, lib/ipv6calccommands.h: add support for anonymization sets
	lib/libipv6addr.[ch]: switch anonymization to use sets instead of dedicated values
	lib/ipv6calchelp.[ch]: add help for anonymization
	ipv6loganon/test_ipv6loganon.sh: add anonymization options test cases
	ipv6loganon/ipv6loganon.c, ipv6loganon/ipv6loganonoptions.h: add additional anonymization options
	ipv6loganon/ipv6loganonhelp.c: update help for anonymization
	lib/libmac.[ch]: add compatible function names (alignment)
	ipv6calc/test_scenarios.sh, ipv6calc/test_ipv6calc.sh: test additional anonymization cases

20130326/PB
	lib/libipv6addr.[ch]: store/retrieve global/local flag for anonymized EUI & ISATAP
	lib/libmac.[ch], ipv6calc/ipv6calc.c: implement MAC address anonymization
	ipv6calc/ipv6calc.c: improve anonymization depending on various formats
	lib/libipv6addr.[ch]: fix reliable anonymization
	ipv6loganon/test_ipv6loganon.sh: fix testcases
	ipv6calc/ipv6calc.c: don't normalize input in filter mode

20130324/PB
	lib/libipv6addr.[ch]: add support for ORCHID anonymization, fix OUI storage in anonymized IID
	ipv6calc/showinfo.c: restructure display of anonymized information
	ipv6loganon/test_ipv6loganon.sh: add some testcases
	lib/librfc1884.c: fix for anonmized IIDs

20130319/PB
	lib/libipv6addr.h: fix duplicate merge
	lib/libipv6addr.c: proper handling of prefix anonymization/masking
	lib/ipv6calchelp.[ch]: implement online help for actions
	ipv6loganon/ipv6loganonhelp.c: fix online help
	ipv6calc/ipv6calc.c: fix online help and debug option value parser

20130317/PB
	bin/ipv6logconv.c: dedicated token for privacy & Teredo IID
	ipv6calcweb/ipv6calcweb.cgi[.in]: show date/time of generated output
	lib/libipv6addr.[ch]: support reliable prefix anonymization

20130226/PB
	lib/libipv6addr.[ch]: switch ISATAP anonymization to new method, extend ISATAP recognition
	ipv6calc/showinfo.c: improve ISATAP information
	lib/librfc1884.c: print included IPv4 address in proper notation
	ipv6loganon/test_ipv6loganon.sh,ipv6calc/test_scenarios.sh: adjust test scenarios

20130225/PB
	lib/libipv6addr.[ch]: simplified checksum verification for anonymized IID, skip anonymization for already anonymized addresses
	ipv6calc/ipv6calc.c: change forgotten default for mask_iid to 0

20130224/PB
	lib/libipv6addr.[ch]: introduce new format for anonymized IID
	ipv6calc/showinfo.c: extend display for anonymized IIDs
	ipv6loganon/ipv6loganon.c, ipv6calc/ipv6calc.c: change default of
		anonymization presets: mask_iid is now disabled by default and
		replaced by new anoymized IID
	ipv6loganon/test_ipv6loganon.sh, ipv6calc/test_ipv6calc.sh, ipv6calc/test_scenarios.sh: adjusted for new anonymization
	ipv6calc/ipv6calc.c, ipv6loganon/ipv6loganon.c, lib/ipv6calcoptions.h,
		lib/ipv6calccommands.h: replace --no-mask-iid by --mask-iid option

20130224/PB
	ipv6calcweb/ipv6calcweb.cgi[.in]: improved display of proxy information

20130223/PB
	ipv6calcweb/ipv6calcweb.cgi[.in]: display now information of all passed proxies

20121221/PB
	ipv6calcweb/ipv6calcweb.cgi: display X-Via header, if given, display also address information of first proxy, if given
	lib/libipv6addr.c: fix type info for teredo address
	ipv6calc/showinfo.c: improve debug output

20121216/PB
	ipv6calc/ipv6calc.c: accept also debug value in hexadecimal notation
	ipv6calc/test_scenarios.sh: extend with testscenarios for detection of already anonymized addresses
	lib/libipv6addr.c lib/libipv6addr.h lib/librfc3041.h: use special value for anonymization also of static defined IID, introduce new type flag 'anonymized'
	ipv6calcweb/ipv6calcweb.cgi[.in]: display also X-Forward-For header, if given 
	lib/librfc1884.c ipv6calc/test_ipv6calc.sh: fix a long outstanding bug not compressing only one block of '0'
	ipv6loganon/test_ipv6loganon.sh: fix examples according to special value for static defined IID

20121215/PB
	databases: update

20121105/PB
	databases: update
	databases/ipv4-assignment/create-registry-list.pl: fix long undetected bug regarding calculation of IP mask (not easy detectable on 32-bit systems)

20121014/PB
	ipv6calc/showinfo: add anonymized IPv4/IPv6 addresses on machinereadable output
	lib/libipv4addr: add ipv4_copy function
	ipv6calcweb.cgi: support anoymized IPv4/IPv6 addresses

20121012/PB
	databases: update
	README.BUILDING-GeoIP: new
	README.BUILDING-IP2LOCATION: minor update
	lib/libipv6addr.c: minor fix to avoid compiler warning
	man/ipv6loganon.8: update
	spec:	- change requirements for ip2location to Mandrake Linux compatible names
		- change location of "ipv6calc" from bin to %{_bindir}
	tools/GeoIP-update.sh: new
	tools/IP2Location-update.sh: new

20120509/PB
	lib/libipv6addr.c lib/librfc3041.h: anoymize a privacy extension IID to a special value and recognize this also
	ipv6logstats: add output related to IID type

20120505/PB
	databases: update

20120424/PB
	lib/libieee.c: remove QEMU prefix handling
	databases/ieee-oui/create_ieee_oui_headerfile.pl: extend with information about MAC prefixes used by Virtual Machines

20120423/PB
	ipv6calcweb.cgi: allow spaces around input in form mode

20120422/PB
	lib/libieee.c: detect standard QEMU MAC prefix
	lib/libipv6addr.c: blacklist expanded EUI-48 from privacy extension
	ipv6calcweb.cgi: cell background for OUI is now yellow, for EUI64_TYPE=local-privacy green

20120419/PB
	lib/*: extend filter handling, implement address token, improve privacy detection
	databases: update

20120401/PB
	ipv6calc/showinfo: finalze autodetection for privacy IIDs

20120325/PB
	ipv6calc: improve autodetection (for IID), improve genprivacyiid

20120322/PB
	ipv6calc/ipv6calc: add suppport for --print-iid-var
	lib/*: some improvements

20120321/PB
	lib/*: extend filter handling, implement address token, improve privacy detection

20120320/PB
	lib/*: extend filter handling, implement negate
	
20120319/PB
	databases/*: cosmetic fix for suppressing unused-variable during compilation
	lib/*: review filter tokens
	databases: update

20120318/PB
	lib/*: extend for action 'filter'
	ipv6calc/ipv6calc.c: implement action (-A) 'filter' with expression '-E', currently only supporting IPv6 addresses
	lib/libipv4addr.*: implement gettype with proper values

20120306/PB
	lib/libipv6addr.*: adjust calc of IID privacy detection
	ipv6logstats/*: add option -w FILE to write IID privacy statistics, fix gnuplot example

20120304/PB
	lib/libipv6addr.[ch]: extend IID privacy detection
	ipv6logstats/*: extend for IID privacy detection

20120303/PB
	lib/libipv6addr.[ch]: add IID privacy detection, fix productive IPv6 address detection
	*/Makefile.in: add -lm for linking math (req. for IID privacy detection)

20120205/PB
	lib/libipv6addr.c lib/libipv4addr.c: extend RFC info with section
	ipv6calcweb.cgi: add support for RFC URLs
	COPYING: update FSF address
	databases: update
	tag version 0.93.1

20120204/PB
	ipv6loganon/ipv6loganon.c: don't cache unmodified lines
	lib/libipv6addr.c: extend detection for reserved addresses
	ipv6calc/showinfo.c: use function from lib/libipv6addr.c for retrieving IPv6 registry string
	lib/libipv4addr.c: minor review

20120121/PB
	ipv6calcweb.cgi: some improvements
	databases: update
	lib/libipv4addr.c: extend detection for reserved addresses (RFC5735)
	ipv6calc/test_showinfo.sh,test_scenarios.sh: extend for testing reserved IPv4 addresses
	tag version 0.93.0

20120120/PB
	ipv6calcweb.cgi: fix taint problem for external environment

20120110/PB
	ipv6calc/test_ipv6calc.sh: split good testscenarios into dedicated file test_scenarios.sh
	ipv6calcweb/test_ipv6calcweb_form.sh: new for testing form mode
	ipv6calcweb/test_ipv6calcweb.sh: improve error handling by output check
	lib/ipv6calctypes.h: support machinereadable for FORMAT_ipv6literal
	lib/libipv6calc.c: minor bugfix
	ipv6calc/test_showinfo.sh: add FORMAT_ipv6literal tests
	ipv6calc/test_ipv6calc.sh: split some test scenarios
	ipv6calc/test_scenarios: new file
	ipv6calcweb.cgi: minor improvements

20120102/PB
	ipv6calcweb.cgi: additional check on unescaped input

20120101/PB
	ipv6calcweb.cgi: minor review
	ipv6calc.spec: create subpackage for ipv6calcweb
	VERSION[.in]: new for improve scripting of build process
	databases
	 - update

20111231/PB
	ipv6calc/showinfo.c: fix show show_types output
	ipv6calcweb.cgi: improve form mode, implement some Anti-DoS code, some review

20111219/PB
	ipv6calcweb.cgi: add support for form mode and configuration via SetEnv

20111127/PB
	lib/*: support scope IDs on IPv6 addresses (also on literal format)

20111126/PB
	lib/* ipv6calc/ipv6calc.c: support input/output format "ipv6literal"
	lib/libmac.c, lib/libipv6calc.c: support MAC format xxxxxxxxxxxx (seen on some network devices) 

20111105/PB
	lib/libmac.c, lib/libipv6calc.c: support MAC format xxxxxx-xxxxxx (seen on HP switches)

20111104/PB
	ipv6calc/ipv6calc.c: autodetect -A geneui64 in case of -O eui64 and autodetected -I mac (only in non-pipe mode)
	
20111103/PB
	ipv6loganon/ipv6loganon.c, ipv6logconv/ipv6logconv.c:
	 - using sprintf for LRU cache in more secure way (credits to Luca Bruno)

20111102/PB
	ipv6calc/ipv6calc.c: force -O eui64 to request either -I mac or -A geneui64

20111029/PB
	update doc, add ldp.dsl and adjust generate script

20111026/PB
	update documentation and INSTALLING

20111009/PB
	configure.in
	 - Exclude use of GeoIP_lib_version also for GeoIP 1.4.5 IPv6 support
	ipv6calc/ipv6calc.c
	 - display GeoIP IPv6 compat mode, if enabled

20111008/PB
	configure.in, ipv6calc/showinfo.c
	 - Extend for GeoIP 1.4.5 IPv6 support (which has reduced function set)
	Makefile.in (all)
	 - introduce "make test-minimal" to skip GeoIP/IP2Location tests on RPM build systems
	ipv6calc.spec.in
	 - replace 'make test' by 'make test-minimal'
	ipv6calc/showinfo
	 - increase output version to 5, adding IPV6CALC_FEATURES in machine readable output
	ipv6calcweb/ipv6calcweb.cgi.in
	 - fix broken ARIN whois URL
	 - show information from IPV6CALC_FEATURES
	 - claim about missing IP2Location or GeoIP database files, if feature is enabled
	tag version 0.92.0

20111008/PB
	databases
	 - update
	ipv6calc
	 - support option "-v -v" to show extended version information
	database generation programs
	 - retrieve and store database status (last update) into related header file
	tag version 0.91.0

20111006/PB
	configure.in
	 - checking GeoIP library for IPv6 support
	ipv6calc/ipv6calc.c, ipv6calc/showinfo.c, lib/ipv6calchelp.c, ipv6calc/test_showinfo.sh
	 - skip IPv6 related GeoIP parts, if support is missing in GeoIP library

20110916/PB
	6rd extension: change options to support stdin for IPv4 addresses
	minor code review
	extend online help for action types

20110915/PB
	Makefile: catch exit code on sub tests
	syntax fix "octett" -> "octet"
	ipv6calc, ipv6calccommands.h, ipv6calcoptions.h, ipv6calctypes.h,
	librfc5569.c, librfc5569.h, Makefile.in
	 - add 6rd extension from Raphaël Assénat and add test case
	database
	 - update

20110610/PB
	database
	 - update
	tag version 0.90.1

20110601/PB
	add configure options for disabling compiled-in databases:
		--disable-db-ieee
		--disable-db-ipv4
		--disable-db-ipv6

20110526/PB
	database
	 -update
	minor fixes
	tag version 0.90.0

20110515/PB
	ipv6calc
	 - disable accept of 'printstart' & 'printend' option for output type 'ipv6addr' (not suppported at all at the moment)
	 - add option 'forceprefix <num>'
	 - add option 'f|flush' for pipe mode
	 - implement pipe mode (autodetected)
	 - GeoIP option '--db-geoip-default|-G' enables now IPv4 and IPv6 default database, if file locations are compiled in
	 - new options for specifying GeoIP file locations: '--db-geoip-ipv4' and '--db-geoip-ipv6'
	 - new option '--db-ip2location-default|-L' for enabling IPv4 or IPv6 default database, if file locations are compiled in
	 - extend test cases
	BUILD
	 --with-geoip-default-file is replaced by --with-geoip-ipv4-default-file
	 - new options for specifying IP2Location default file locations
	    --with-ip2location-ipv4-default-file
	    --with-ip2location-ipv6-default-file
	registry databases
	 - update

20110512/PB
	ipv6loganon:
	 - add support for option -f (flush)
	 - some bugfixes
	ipv6calc, ipv6calcweb.cgi
	 - implement support for GeoIP IPv6 database
	ipv6calcweb.cgi
	 - skip not-useful entries for IP2LOCATION in case of unsupported by database
	update information for IP2Location 4.0.2

20110511/PB
	ipv6loganon:
	 - add support for option -w (write) and -a (append) output to a given file
	 - IPv6 address output is now in compressed format

20110505/PB
	lib/librfc1884.c
	 - cosmetic improvement of debug information
	lib/ipv6calchelp.c
	 - add space between token and ":"
	 - fix --out -h not showing explanation
	update-registries.sh
	 - add workaround for buggy encoding information in XML
	databases
	 - update
	tag version 0.82.1

20110504/PB
	ipv6calc/ipv6calc.c
	 - add some debug code
	 - improve selection of format switch for revipv4
	lib/libipv4addr.c lib/libmac.c
	 - clear 'valid' flag also if structure is cleared

20110329/PB
	ipv6calc/test_ipv6calc.sh, ipv6calc/showinfo.c, lib/libipv6addr.[h,c]
	 - add support for RFC 6052 (NAT64)
	databases:
	 - update
	tag version 0.82.0
	
20110305/PB
	ipv6calc/test_ipv6calc.sh:
	 - add test cases for RFC 5952
	doc
	 - add URL to openSUSE, minor cleanup

20110227/PB
	databases:
	 - change from txt to xml for IANA data
	 - update
	ipv6calc/test_ipv6calc.sh:
	 -add good/bad testcases for explicit and autodetection input
	 - improve catch of errors
	ipv6calc/showinfo.c:
	 - fix buggy fprintf output devices
	ipv6calc/ipv6calc.c:
	 - add support for output format FORMAT_mac
	 - extend auto-output detection for input format FORMAT_mac, FORMAT_bitstring, FORMAT_base85
	 - add dedicated error message if auto-input detection doesn't work
	lib/librfc1886.c:
	 - fix librfc1886_formatcheck for proper work with autodetection
	lib/librfc1884.c:
	 - fix debug messages
	lib/libmac.[ch]:
	 - add function macaddrstruct_to_string
	lib/libipv6calc.c:
	 - improve autodetection
	lib/libipv6addr.c, lib/libipv4addr.c:
	 - improve format check
	lib/ipv6calctypes.h:
	 - add new format type for non-working autodetection

20100921/PB
	update databases
	lib/librfc1886.c: take care of prefix length before printing nibbles
	 (bugfix, but breaking old behavior, if prefix length is used)
	tag version 0.80.0

20100520/PB
	configure.in: add value for copyright year, update version number
	some header files: replace hardcoded copyright year with value
	lib/librfc1884.c: minor bugfix

	From http://patch-tracker.debian.org/package/ipv6calc/0.73.0-3
	ipv6calc/showinfo.c: fix typo regarding Teredo addresses (not affecting -m)
	lib/ipv6calchelp.c: fix segfault
	*/Makefile.in: fixes

20100427/PB
	lib/librfc1884.c: bugfix regarding uncompressing an address
	ipv6calc/test_ipv6calc.c: add some testcases

20090808/PB
	ipv6calc/ipv6calc.c
	 - add auto-output format detection for revnibble
	 - do not print resultstring, if empty
	ipv6calc/test_ipv6calc.sh
	 - add input validation tests
	lib/ipv6calchelp.[ch]
	 - support machine readable output for input types
	lib/libifinet6.c
	lib/librfc2874.c
	 - cosmetic fixes of error messages
	lib/libipv4addr.c
	lib/libipv6addr.c
	lib/librfc1886.c
	 - improve input validation
	 - cosmetic fixes of error messages

20090811/PB
	update databases
	ipv6calc/ipv6calc.c
	 - add support for '-m' for '--out|action -?'
	lib/ipv6calchelp.[ch]
	 - support machine readable output for output/action types
	tag version 0.73.0

20090808/PB
	ipv6calc/ipv6calc.c
	 - add auto-output format detection for revnibble
	 - do not print resultstring, if empty
	 - add support for '-m' for '--in -?'
	ipv6calc/test_ipv6calc.sh
	 - add input validation tests
	lib/ipv6calchelp.[ch]
	 - support machine readable output for input types
	lib/libifinet6.c
	lib/librfc2874.c
	 - cosmetic fixes of error messages
	lib/libipv4addr.c
	lib/libipv6addr.c
	lib/librfc1886.c
	 - improve input validation
	 - cosmetic fixes of error messages

20090620/PB
	databases/registries/update-registries.sh
	 - fix IANA ipv6-unicast-address-assignments weblink problem

20090611/PB
	update databases
	add /usr/bin/ipv6calc to binary list of ipv6calcweb.cgi
	tag version 0.72.2

20090111/PB
	update databases
	tag version 0.72.1

20090106/PV
	various Makefile.in and Makefile
	 - rename $(root) into $(DESTDIR) to respect GNU coding standards
	 - fixed datarootdir warning

20081231/PB
	ipv6calc/ipv6calc.c
	 - print token GeoIP, IP2Location, if supported
	update databases

20081231/PV
	configure.in
	 - apply fix for GeoIP option
	various Makefile.in and Makefile
	 - adjust/switch to Makefile.in and improvements (use of @CC@,
	    remove CFLAGS, LDFLAGS, fix @ENABLE_BUNDLED_GETOPT@)

20081119/PB
	databases/registries/update-registries.sh
	 - create registry subdir if not existing
	 - fix IANA ipv4-address-space weblink problem
	databases/ieee-iab/create_ieee_iab_headerfile.pl
	 - remove '"' from names to avoid problems in generated header file
	databases/ieee-oui/Makefile
	 - adjust remote filename on webserver
	ipv6calc/ipv6calc.c
	 - do not show warning messages for missing GeoIP/IP2Location support
	    if option "-q" is used (good for ipv6calcweb.cgi)
	Makefile[.in]
	 - move "make test" from "make install" to dedicated "make ..."
	 - remove "make installonly"
	Several files
	 - minor cleanup
	tag version 0.72.0

20070811/PB
	lib/libipv6addr.{c,h}
	 - detect link-local-teredo addresses

20070705/PB
	ipv6loganon/test_ipv6loganon.sh
	 - add ORCHID test scenario
	lib/libipv6addr.{c,h}
	 - fix octal printout
	 - add hex printout
	 - support ORCHID in anonymize
	lib/libipv4addr.{c,h}
	 - add octal & hex printout
	ipv6calc/showinfo.c
	 - print warning message in IP2Location longitude/latitude if 0
	 - do not print GeoIP/IP2Location information on non-global IPv6 addresses
	 - fix output on ISATAP addresses (stderr->stdout)
	ipv6calc/ipv6calc.c
	 - support octal output for IPv4 and hex output for IPv4 and IPv6

20070704/PB
	lib/libipv6addr.{c,h}
	ipv6calc/showinfo.c
	 - add support for ORCHID address type

20070605/PB
	ipv6calcweb/ipv6calcweb.cgi.in
	 - fix built-in list for GeoCityLite
	ipv6calc/showinfo.c
	 - do not show "GeoIP|IP2Location returned no record" in quiet mode

20070601/PB
	update databases
	update doc files
	minor fixes in test scripts
	tag version 0.71.0

20070426/PB
	lib/libipv6addr.{c,h} lib/ipv6calcoptions.h lib/ipv6calccommands.h
	ipv6loganon/ipv6loganon*
	ipv6calc/ipv6calc.c
	 - add support for anonymizing IPv6 prefix flexible (mask-ipv6)
	 - add new preset options for anonmiyzing (careful,paranoid)

20070402/PB
	ipv6calc/showinfo.c
	 - skip displaying of IPV4_SOURCE if no data is given
	 - fix month of IP2Location database
	 - separate IP2Location information for IPv4 and IPv6 (increase output version to 4)
	ipv6calcweb/ipv6calcweb.cgi.in
	 - fix database options according to changes before releasing 0.70.0
	 - if server address is skipped, do not retrieve information at all
	 - use built-in list for detecting binary and database files on various locations
	
20070401/PB
	update databases
	tag version 0.70.0

20070303/PB
	autogen.sh
	 - add support for more options, see -? for more
	ipv6calc/showinfo.[h,c]
	 - revert to pre 20070215 release, IP2Location (2.1.3) was fixed now
	ipv6calc/ipv6calc.h
	 - adjust copyright year
	databases/registries/update-registries.sh
	 - remove unconditional exit code 0
	databases/registries/update-registries.sh databases/ipv{4,6}-assignment/create-registry-list.pl
	 - change from %Y%m%d to -latest
	databases/ipv6-assignment/create-registry-list.pl
	 - reenable all registries
	databases/registries/Makefile
	 - support "lacnic" on distclean
	databases/ipv4-assignment/Makefile
	 - cleanup
	
20070215/PB
	ipv6calc/showinfo.[h,c]
	 - move prototypes in case of use of IP2Location (2.1.2) because of a strange compilation warning
	ipv6calc/Makefile.in
	 - reorder CFLAGS according to patch from NT

20070214/PB
	contrib/ipv6calc.spec[.in] ipv6calc/Makefile[.in]
	 - adjustments according to remove of static GeoIP/IP2Location support
	 
20070214/NT
	databases/GeoIP databases/IP2Location	
	 - remove support of static (built-in) support

20070207/PB
	ipv6calc/ipv6calc.c lib/ipv6calctypes.h
	 - add support for action anonymize

20070205/PB
	lib/libipv{4,6}addr.{c,h}
	 - migrate IPv4/IPv6 address anonymization code into
	    ipv6loganon to libraries

20070202/NT
	ipv6loganon/ipv6loganonhelp.c
	 - spelling fixes
	man/ipv6loganon.8
	 - contribution

20070201/PB
	database update
	ipv6loganon/*
	 - minor improvements, add README

20070131/PB
	ipv6calc/showinfo.c
	 - fix bug by exchange TEREDO SERVER<->CLIENT tokens
	 - code improvements (triggered by splint)
	ipv6loganon/*
	 - improve ipv6loganon
	lib/*.c
	 - code improvements (triggered by splint)

20070130/PB
	ipv6loganon/*
	 - initial creation

20070116/ESR
	man/ipv6calc.8
	 - code fixes

20061028/NT+PB
	GeoIP support
	 - add new configure options
	    --enable-geoip-system: use system GeoIP library
	    --enable-geoip-default-file: specify default database file
	Getopts support
	 - configure detects now the presence of system getopts library
	
20061021/PB
	IP2Location support
	 - update to API 2.1.0 (which supports IPv6 now)
	GeoIP support
	 - update to API 1.4.0
	configure.in Makefile.in
	 - add support for global version numbers of APIs
	ipv6calc/showinfo.c ipv6calc/ipv6calc.c
	 - add support for 2 different database files for IP2Location
	 - change options
	    -p <file> => --db-ip2location-ipv4 <file>
	    -g <file> => --db-geoip <file>
	 - new option
	    --db-ip2location-ipv6 <file>
	update databases

20060828/PB
	ipv6calcweb/ipv6calcweb.cgi.in
	 - remove non-ascii chars on GEOIP_DATABASE_INFO
	update databases
	tag version 0.61.0

20060807/PB
	ipv6calc/showinfo.c
	 - make code for printing GeoIP and IP2Location universal for IPv4 and IPv6
	 - fix missing printout of footer in case of IPv6 address is given
	ipv6calcweb/ipv6calcweb.cgi.in
	 - toggle background for lines with embedded IPv4 address
	
20060806/PB
	<several files>
	 - add support for GeoIP (GeoIP-1.3.17)
	LICENSE
	 - updates according to changes
	update databases

20060710/PB
	<several files>
	 - change internal version number handling from dedicated file(s) to configure.in
	update databases
	tag version 0.60.1

20060707/NT
	ipv6calc/test_ipv6calc.sh
	 - catch result proper
	configure.in
	 - define AC_C_BIGENDIAN for proper support of big-endian arch
	 - improve version definition, remove acconfig.h (no longer needed)
	config.h.in
	 - regenerated during autoheader
	md5/Makefile
	md5/md5.c
	 - fix code for proper support of big-endian arch
	autogen.sh
	 - add call to autoheader

20060625/PB
	update databases
	tag version 0.60.0
	Makefile[.in]
	 - remove autom4te.cache also in subdirectories

20060612/PB
	databases/IP2Location/C-IP2Location-1.1.0/libIP2Location/IP2Location.c
	 - fix bug in original code according to retrieve date from database
	config.h.in configure.in
	 - add support for SUPPORT_IP2LOCATION in config.h
	lib/ipv6calchelp.c
	 - add comment for option -p
	ipv6calc/ipv6calc.c
	 - add internal flag for IP2Location support
	lib/ipv6calctypes.h ipv6calc/showinfo.c 
	 - print embedded IPv4 addresses explicitly in embedded format []
	   this solves the issue if more than one IPv4 address is included in IPv6 address
	lib/libipv6addr.c
	 - support new Teredo prefix (RFC 4380)
	lib/libipv4addr.c
	 - exclude some RFC1918/RFC3330 addresses from registry lookup, report reserved(reason)
	   instead
	lib/libipv6addr.h
	 - lower case "teredo"
	lib/ipv6calctypes.h
	 - add new (internal used) format "printembedded"
	lib/Makefile
	 - fix elements in $(OBJS), minor review
	ipv6calcweb/ipv6calcweb.cgi
	 - add support for variables with embedded IPv4 address
	 - keep sort order of ipv6calc -m output
	 - fix whois URL of ARIN,APNIC,LACNIC
	 - remove whois URL for 6bone addresses, no longer valid
	 - add IP2Location information in footer (if used)
	 - add required output version for check
	ipv6calc/showinfo.h
	 - define output version
	ipv6calc/showinfo.c
	 - support embedded IPv4 addresses in machine readable output
	ipv6calc/ipv6calc.c
	 - missing IP2Location database is now only a soft error
	 - add flag whether IP2Location database is given
	man/ipv6logconv.8
	 - fix small problem with hyphens (thanks to Niko Tyni)

20060610/PB
	ipv6calc/showinfo.c/print_ipv4addr
	 - check for result != of IP2Location before using (prevents segfault)

20060608/PB
	ipv6calcweb/ipv6calcweb.cgi
	 - add support for format=<format> in QUERY_STRING

20060607/PB
	ipv6calcweb/ipv6calcweb.cgi
	 - add support for IP2Location according to showinfo.c
	contrib/ipv6calc.spec[.in]
	 - add support for rebuild option --with-ip2location
	LICENSE
	 - updates according to changes
	Makefile.in
	configure.in
	ipv6calc/Makefile.in
	 - make IP2Location support switchable (--enable-ip2location)
	ipv6calc/ipv6calc.c
	lib/ipv6calcoptions.h
	 - fix wrong named option (-f instead of -p)
	lib/librfc1924.c
	 - replace conversion code with clean reimplementation
	    created by Niko Tyni because of unknown license issue
	    of the old piece of code
	update databases

20060317/PB
	databases/ipv6-assignment/create-registry-list.pl
	databases/ipv4-assignment/create-registry-list.pl
	databases/ipv6-assignment/dbipv6addr_assignment.h
	databases/ipv4-assignment/dbipv4addr_assignment.h
	lib/libipv6addr.h
	lib/libipv4addr.h
	 - store also prefix length in lookup table
	update databases

20060316/PB
	lib/libipv4addr.c
	 - fix wrong use of () in ipv4addr_setword

20060306/PB
	Makefile.in
	ipv6calc/Makefile.in
	ipv6calc/ipv6calc.c
	ipv6calc/showinfo.c
	 - add support for IP2Location
	lib/ipv6calcoptions.h
	 - add new option: -p <path to IP2Location database>

20060213/PB
	ipv6calc/Makefile.in
	 - replace "make" by "${MAKE}" (forgotten in 20051119)

20060212/PB
	update databases
	databases/ieee-oui/create_ieee_oui_headerfile.pl
	 - replace " with ' in entries
	Makefile.in
	 - remove also autom4te.cache on distclean
	contrib/ipv6calc.spec[.in]
	 - remove CVS version line to avoid problems
	tag version 0.51

20060126/PB
	lib/ipv6calchelp.c
	lib/ipv6calctypes.h
	ipv6calc/ipv6calc.c
	ipv6calc/ipv6calc.h
	 - fix help for {upper|lower}case option inconsistency
	 - add new shortcut options:
		--in|-I --out|-O --action|-A
		--printcompressed|-C --printuncompressed|-U --printfulluncompressed|-F
	 - update copyright range
	update databases

20051119/PB
	various make files
	 - replace "make" by "${MAKE}"
	 - add definitions for prefix and exec_prefix
	update databases
	
20051026/PB
	restructure registry database directory
	 - process now registry files 2 days ago to prevent problems short after local day switches
	add support for new registry AFRINIC
	extend IPv6 registry data from 32 to 64 bits, adapt related function in lib/libipv6addr
	
20051021/PB
	lib/libipv6addr
	 - fix bug for unique local unicast detection
	ipv6calc/showinfo
	 - minor review
	ipv6calcweb.cgi
	 - updates according to changes of showinfo.c

20051020/PB
	lib/libipv6addr
	ipv6calc/showinfo
	ipv6logconv
	ipv6logstats
	 - add support for Teredo addresses

20050916/PB
	various make files
	 - add missing entries to fullfil NetBSD's make

20050915/PB
	various c files
	 - fix snprintf size parameter (credits to
	    Radek Vokál for pointing this out)
	lib/libipv6addr.c#ipv6addr_copy
	 - fix bug which causes stack overflow (credits to
	    Radek Vokál for finding the bug)
	several Makefiles
	 - add compiler switch -O2, reason for segfault was found
	 - remove also static on clean
	ipv6logconv:
	 - add support for unique local unicast
	update databases
	tag version 0.50

20050914/PB
	databases/ipv4-assignment
	 - fix update check script
	Update databases
	spec file fix
	Tag version 0.49
	
20050725/PB
	several Makefiles
	 - remove compiler switch -O2, this causes segfaults on
	    Fedora Core 4 using gcc-4.0.0-8
	lib/libipv6addr
	ipv6calc/showinfo
	 - add support for Unique Local IPv6 Unicast Addresses

20050719/PB
	ipv6logstats, ipv6logconf
	 - remove not really needed uid check in test step
	md5/md5.c
	 - fix for proper support of big endian machines
	ipv6calc/test_ipv6calc.sh
	 - fix proper error reporting
	Further prototyping fixes
	lib/libipv6addr
	 - replace hardcoded IPv6 assignement by dynamic one
	Update databases

20050714/PB
	Update databases
	lib/libipv6addr
	 - IPv6 TLA update

20050711/PB
	lib/librfc2874.c
	lib/libipv6calc.c
	 - Fix prototyping to avoid warnings
	md5/Makefile
	getopt/Makefile
	 - Add CC definition

20050628/PB
	ipv6calc:
	 - replace hardcoded $(root)/bin with $(root)@bindir@ (suggested by Andrew Walrond)

20050214/PB
	ipv6logconv:
	 - fix online help

20050212/PB
	Update databases
	ipv6logconv:
	 - implement a lookup cache for speed-up (around 20%)
	lib/libipv4addr
	databases/ipv4-assignment/dbipv4addr_assignment.h
	 - add a hint table for speed-up IPv4 registry lookups (around 10 times!)

20041121/PB
	Update databases
	Tag version 0.48

20041101/PB
	General:
	 - add missing directories to Makefile
	 - fix typo in man page

20041030/PB
	General:
	 - replace md5 function from openssl with a copy of coreutils (licence issue)
	 - add support for IEEE/iab.txt database
	Update databases
	 - minor fixes in scripting

20040830/PB
	ipv6calc:
	 - add support for recognizing 6to4 addresses generated by
	    Microsoft OS
	ipv6logconv:
	 - add support for recognizing 6to4 addresses generated by
	    Microsoft OS
	 - add support for ISATAP addresses
	Update databases
	 - fix URL of RIPE ARIN, APNIC, LACNIC and add support for compressed files

20031122/PB
	ipv6logstats:
	 - add option "-q|--quiet" for be more quiet
	 - minor fixes
	ipv6calc.spec.in
	 - review, also install examples now
	Some cleanups
	tag version 0.47

20031121/PB
	IPv4 address database update
	Some redesign on Makefile usage, move some Makefile to Makefile.in
	 - minor redesign in Makefile.in
	 - take now use of "bindir" and "mandir" in configure run
	Update ipv6calc.spec.in
	ipv6calcweb.cgi:
	 - renamed to ipv6calcweb.cgi
	 - version numbering will now be done using autoconf 	
	ipv6logconv:
	 - add option "-q|--quiet" for be more quiet

20031026/PB
	add contributed man pages

20030907/PB
	untag version 0.46
	ipv6calcweb.cgi:
	 - replace deprecated hash reference code with proper one
	 - add forgotten lacnic support
	 - allow ":" in SERVER_NAME to allow IPv6 addresses here also
	tag version 0.46

20030906/PB
	update databases
	tag version 0.46

20030815/PB
	enable option "printfulluncompressed" on output format octal
	add example for output format octal

20030722/PB
	enable "printprefix", "printsuffix" for normal IPv6 addresses (autoswitch to uncompressed format)
	prefix length of 6to4 addresses changed from 16 to 48 for proper support of format "printprefix"

20030717/PB
	add IPv6 LACNIC range

20030628/PB
	minor adjustments to "ipv6logstats", add a gri example

20030623/PB
	lib/librfc1886.c/librfc1886_addr_to_nibblestring:
	 don't print trailing "." on middle part end

20030615/PB
	add support for new registry LACNIC (in IPv4)
	add new program "ipv6logstats" to create historic address distribution statistics of webservers
	 for use e.g. with gnuplot (add an example cmd script also)
	remove autodetection code for EUI-64 (can misinterpret a proper IPv6 address)
	fix some bugs in autodection

20030404/PB
	add new output format "octal" as requested from Lionel Elie Mamane <lionel at mamane dot lu>
	 to create proper input for tinydns

20030202/PB:
	add new input type "ipv4hex" (hexadecimal IPv4 address)
	add new input type "ipv4revhex" (reverse hexadecimal IPv4 address)
	add support of spaces as delimiter of MAC/EUI-48 addresses
	(above support was added to convert information got by 'martian source' logging)

20021112/PB:
	fix not proper handling of option "-q|--quiet" in some cases
	enhance help options (-h|--help now also valid) on --out|action|in
	ipv6logconf: "make test" can be now also executed by root (su to nobody)
	tag version 0.45

20021104/PB:
	minor cosmetics in IEEE/OUI database

20021104/PB:
	update IPv6 address allocation for 2001::/16
	update IPv4 databases
	remove user/group on "make install" to enable non-root RPM build
	update text on ipv6calcweb.cgi
	minor reviews
	tag version 0.44

20020830/PB:
	add support of dashes on MAC/EUI-48 addresses
	showinfo prints now type of EUI-48 addresses

20020817/PB:
	fix configure.in, learnt now how to proper use AC_CHECK_LIB and AC_CHECK_HEADERS
	 credits to Arkadiusz Miskiewicz!

20020730/PB:
	fix not proper autodetection code for MAC addresses
	tag version 0.43

20020717/PB:
	update URL to OUI database, cosmetic OUI fixes, update databases
	tag version 0.42

20020511/PB:
	bugfix not showing OUI on showinfo "-i"
	update CIDR and OUI data

20020421/PB:
	review inttypes definitions, create new header file
	minor fixes to suppress compiler warnings
	tag version 0.40rc5
	tag version 0.40

20020420/PB:
	fix defines for FreeBSD and OpenBSD
	minor fixes

20020410/PB:
	tag version 0.40rc4

20020410/PB:
	new format feature: printmirrored for reverse dot separated format
	minor fixes

20020409/PB:
	add new feature: printing IPv4 address in reverse PTR/DNS format
	minor help extension

20020408/PB:
	fix completly broken online help
	add some autodetection
	printprefix|suffix now works also for fulluncompressed
	some cleanups
	tag version 0.40rc3

20020407/PB:
	minor cosmetic fixes, import forgotten ipv6logconv changes
	tag version 0.40rc2

20020405/PB:
	fix some database dependencies
	fix NetBSD has inttypes.h instead of stdint.h 
	change back to not splint'ed librfc1924.c because of a self made not easy to find bug :-(
	some minor fixes
	tag version 0.40rc1

20020403/PB:
	more splint'ing, some type review

20020401/PB:
	more splint'ing, some type review
	
20020331/PB:
	more splint'ing
	extend ipv6logconv

20020325/PB:
	ipv6calcweg.cgi: extension for new showinfo extension

20020324/PB:
	fix alignment bugs in libipv4addr.c for word/dword access
	libip4addr.c: add support for registry information
	finish IPv4 registry detection code

20020323/PB:
	new feature: prefix+mac -> IPv6 address

20020320/PB:
	showinfo: add new info: registry, fix a bug in output of non machinereadable
	some snprintf fixes

20020318/PB:
	move files to dedicated subdirectories
	add program information on ipv6calc -m
	enhance ipv6calcweb.cgi
	begin to replace "sprintf" with "snprintf" (for security reasons)
	-> release 0.40pre7

20020317/PB:
	ipv6calc: fix not working showtypes	
	new: ipv6calcweb.cgi: Perl wrapper program for web interface
	replace all "strtok" to "strtok_r" because of problems due calls in subfunctions (thanks to manpage...)
	remove "-ansi" from compiling options
	ipv6logconv: add output format "any", fills address, referer and user with proper information
	some code lint

20020316/PB:
	new: ipv6logconv is able to convert addresses of webserver logs into special domain names
	new: analog example for creating stats from converted logfiles
	some fixes and enhancements

20020311/PB:
	new: add vendor database for global EUI-64/48 identifiers
	new: libieee to display an OUI, if available
	showinfo: machinereadable now printout one info per line (switchable later)
	minor fixes
	tag release 0.40pre5

20020306/PB:
	enhance help, adapt format to 80 chars per line
	bugfix in showinfo.c relating to display EUI-64 id
	began some code audit using splint

20020303/PB:
	migrate eui64 to privacy into new style
	more cleanup
	extend test script
	tag release 0.40pre2
	implement auto detection for input
	showinfo now understands IPv4 address extraction of autoconfigured link local addresses
	check format options against matrix
	understand now input of revnibble (limited support) and bitstring labels
	tag release 0.40pre3

20020302/PB:
	major work of redesign is done, test script runs well, unused files removed
	tag release 0.40pre1

20020301/PB:
	start redesign

20020227/PB:
	libipv6addr.c: fixed a bug in ipv6addr_setoctett.c regarding num limit (oops..)
	ipv6calc.c: move structure definitions to...
	libmac.h: add related structure definition ipv6calc.c
	libipv6addr.h: add related structure definition from ipv6calc.c
	libipv4addr.*: new for handling IPv4 addresses
	ipv4_to_6to4addr.*: new for handling conversion IPv4 -> IPv6to4
	librfc3056.*: library for conversion IPv4 -> IPv6to4
	libipv6calc.c: fix array index bug of compat[] (oops..)
	tag release 0.39

20020226/PB:
	add original getopt tarball into samplecode, fill related READMEs
	tag release 0.38

20020224/PB:
	move nibble string function to librfc1886
	minor fixes
	restore original samplecode files and remove CVS id to prevent CVS changes
	add original getopt code to samplecode
	tag release 0.37

20020224/PB:
	minor Makefile fixes
	fix getopt Makefile
	minor cosmetic fix in test script
	cosmetic cleanups
	some code cleanup and minor redesign, some optimizing
	fixes stupid help call bugs
	format options can be used now in more functions
	add support of "printstart" and "printend" in "ip6int", "bitstring"
	extend "showinfo", add "machine_readable" for easier postprocessing

20020223/PB:
	complete limited support of bistring labels
	change examples to 6bone dummy address (3ffe:ffff:...)
	add a trailling dot on ip6.[int|arpa] output
	migrate getopt patch for OpenBSD submitted by Vladimir Kotal <vlada at openbsd dot cz>
	minor Makefile fixes
	tag release 0.37pre1

20020219/PB:
	fix a minor bug
	tag release 0.36
	
20020218/PB:
	fix bug relating to ipv6calc.h (changes now in ipv6calc.h.in)
	start preparation for implementing bitstring conversions
	tag release 0.35

20020218/PB:
	add new options: --addr_to_ip6arpa|-a
	 does the same like --addr_to_ip6int|-r, but ends with "ip6.arpa" instead of "ip6.int"
	addr_to_ip6int now understands "--uppercase|--lowercase"
	tag release 0.35

20020127/PB:
	tag release 0.34

20020124/PB:
	use now "-lcrypto" instead of full defined lib name	

20020121/PB:
	update "COPYING" to current GPLv2, add "LICENSE" with some comments to make Debian people happy
	add both in spec file

20020120/PB:
	showinfo now understands "solicited-node link-local multicast", "ISATAP", SLA on 6bone addresses
	input now understands also "ISATAP" addresses

20011227/PB:
	Make tarball ready to use

20011218/PB:
	Change version numbering to autoconf/configure
	Extend "showinfo" a little bit

20011009/PB: release 0.30

20011009/PB:
	Fix missing scope initialization "base85_to_ipv6addr" 
	 bug found by Greg Daley <greg.daley # eng.monash.edu.au>
	 changed:
		libipv6addr.c/ipv6addr_clear
		librfc1924.c/base85_to_ipv6addrstruct

20011007/PB:
	Push source into local CVS system	

0.28: Peter Bieringer <pb@bieringer.de>
	Refixing compiling on BSD
	Add a forgotten include in "eui64_to_privacy.c"

0.27: Peter Bieringer <pb@bieringer.de>
	Migrate files used from Linux kernel for address type resolution to libipv6addr.*
	 add some extended tests (still not catch all)
	"--showinfo" now rudimentary works

0.26: Peter Bieringer <pb@bieringer.de>
	Create wrapper functions to be independend of byte order storage in
	 structure "in6_addr"
	"--eui64_to_privacy" now calculate expected results
	Begin of splitting "ipv6calc.h" into several smaller header files
	Some code cleanup

0.25: Peter Bieringer <pb@bieringer.de>
	Restructure central address structure to use "in6_addr" struct
	Some code cleanup

0.24: Peter Bieringer <pb@bieringer.de>
	Add option "--eui64_to_privacy" to calculate pseudo random suffices
	 (experimental, result is not verified)
	Add option "--showinfo"
	 (experimental, not finnished)	
	Add option "-d|--debug value"
	Partially new debug code

0.23: Peter Bieringer <pb@bieringer.de>
	Fix permissions of doc files in spec file

0.22: Peter Bieringer <pb@bieringer.de>
	ANSI compiling cleanup
	Cleanup special types to ANSI types

0.21: Peter Bieringer <pb@bieringer.de>
	Fix typo (strings.h -> string.h) at ifinet6_to_compressed.c

0.20: Peter Bieringer <pb@bieringer.de>
	Activate "--printsuffix" + "--printprefix" for "--addr_to_uncompressed"
	Change format of "--mac_to_eui64" to described one (now without prefix)

0.19: Peter Bieringer <pb@bieringer.de>
	Extend "TODO" list
	Print also info on "-?"
	Fixes in spec file, see changelog at the end of that file
	Add "COPYING" and "INSTALLING"
	Add "installonly" on "Makefile" to support changes in spec file

0.18: Peter Bieringer <pb@bieringer.de>
	Add "make test" after "make" in spec file to stop build process, if
	 compiling do not result in working code
	Add samplecode directory	

0.17: Peter Bieringer <pb@bieringer.de>
	Fix "addr_to_ip6int" (sprintf)
	Minor reviews

0.16: Peter Bieringer <pb@bieringer.de>
	Review "Makefile" to make it usable on BSD systems
	Minor reviews to enable a clean make on BSD systems

0.15: Peter Bieringer <pb@bieringer.de>
	Create TODO
	Some review
	New option: mac_to_eui64

0.14: Peter Bieringer <pb@bieringer.de>
	Review CREDITS

0.13: Peter Bieringer <pb@bieringer.de>
	Add base85 support
	Add compatv4/mapped support
	Split away some RFC depended libaries
	Rename internal used functions
	Rename options (old ones still work)
	Change IPv6 address compression method from getaddrinfo to
	native calculation (hopefully bugless)
	Some review

0.12: Peter Bieringer <pb@bieringer.de>
	Add some format checks

0.11: Peter Bieringer <pb@bieringer.de>
	Add code for successful compiling under BSD, credits to Hubert Feyrer <hubertf@netbsd.org>
	Cosmetic cleanups

0.10: Peter Bieringer <pb@bieringer.de>
	redesigned to use a central libary for most of the functions
	moved option handling to getopts
	add option --maskprefix, --masksuffix for [full]uncompressed format

0.09: Peter Bieringer <pb@bieringer.de>
	fix in 0.07 (addr2uncompaddr) won't work, refix now

0.08: Peter Bieringer <pb@bieringer.de>
	fix Makefile and spec-file for RedHat 7.0.91

0.07: Peter Bieringer <pb@bieringer.de>
	fix addr2uncompaddr, now ::/prefixlength is well converted

0.06: Peter Bieringer <pb@bieringer.de>
	fix glibc-2.2.2 compilation problems, credits to Pekka Savola <pekkas@netcore.fi> in
	 addr2if_inet6.c, ipv6calc.c

0.05: Peter Bieringer <pb@bieringer.de> 
	if_inet62addr added, printhelp_function moved into related source file

0.04: Peter Bieringer <pb@bieringer.de> 
	addr2if_inet6 will now display scope value in hex
	 (use some sources of kernel files to get scope rather than writing my own)
	cosmetic cleanups

0.03: Peter Bieringer <pb@bieringer.de>
	Splitt away each function in a seperate file
	Working: addr2compaddr, addr2uncompaddr, addr2fulluncompaddr, addr2if_inet6
	 addr2ip6_int

0.02: Peter Bieringer <pb@bieringer.de>
	Never published release, "addr2compaddr" is working

0.01: Peter Bieringer <pb@bieringer.de>
	Initial start
